{
  description = "Chuckya, a glitch-soc fork used on wetdry.world!";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-25.05";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
  {
    overlays.default = _final: prev: rec {
      chuckya = self.packages.${prev.stdenv.hostPlatform.system}.chuckya;
    };
    hyrdaJobs = {
      inherit (self)
      packages;
    };
  } // flake-utils.lib.eachDefaultSystem (system: 
      let
        pkgs = nixpkgs.legacyPackages.${system};
        chuckya = pkgs.callPackage ./chuckya { };
      in {
        packages = {
          chuckya = chuckya;
        };
      }
    );
}
